org.eclipse.mat.internal.snapshot.inspections

## Class CompareTablesQuery.ComparisonResultTree

- java.lang.Object
- - org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.TableComparisonResult
  - - org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparisonResultTree

All Implemented Interfaces:
  IIconProvider, IResult, IResultTree, IStructuredResult

Enclosing class:
  CompareTablesQuery

    public class CompareTablesQuery.ComparisonResultTree
    extends CompareTablesQuery.TableComparisonResult
    implements IResultTree

### Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`ComparisonResultTree(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<?>` `getChildren(Object parent)` Returns the child elements of the given parent.
`List<?>` `getElements()` Returns the root elements of the tree.
`boolean` `hasChildren(Object element)` Returns whether the given element has children.

### Methods inherited from class org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.TableComparisonResult

`getColumns, getColumnValue, getComparedColumns, getContext, getIcon, getMode, getOperation, getResultMetaData, setComparedColumns, setMode, setOperation, updateColumns`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.query.IStructuredResult

`getColumns, getColumnValue, getContext`

### Methods inherited from interface org.eclipse.mat.query.IResult

`getResultMetaData`

### Constructor Detail

#### ComparisonResultTree

    public ComparisonResultTree(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows,
                                Column key,
                                List<CompareTablesQuery.ComparedColumn> comparedColumns,
                                CompareTablesQuery.Mode mode,
                                CompareTablesQuery.Operation setOp)

### Method Detail

#### getElements

    public List<?> getElements()

Description copied from interface: `IResultTree`
Returns the root elements of the tree.

Specified by:
  `getElements` in interface `IResultTree`
Returns:
  list of elements which can be passed to `IResultTree.getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### hasChildren

    public boolean hasChildren(Object element)

Description copied from interface: `IResultTree`
Returns whether the given element has children.

Specified by:
  `hasChildren` in interface `IResultTree`
Parameters:
  `element` - the opaque object used to indicate which branch
Returns:
  true if this element has children

#### getChildren

    public List<?> getChildren(Object parent)

Description copied from interface: `IResultTree`
Returns the child elements of the given parent.

Specified by:
  `getChildren` in interface `IResultTree`
Parameters:
  `parent` - The row object as returned by the `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a list of children of this branch of the tree